none
升级域控至2012 R2,Exchange 2010无法发现拓扑失败 RRS feed

  • 问题

  • 前几天公司做域控升级,从Server 2003升级到Server 2012 R2,中间有一台Server2008 R2过渡域控。

    在域控上升级了架构之后,域控升级没有问题,但是突然发现Exchange 2010无法正常使用,看系统日志是提示无法找到拓扑,所以导致很多服务无法启动,但是通过ping和DNS能够很清晰的找到并解析到域控,还请各位指导一下。

    另:在升级到Server 2012 R2域控之后,在提升林功能级别和域功能级别的时候也无法选择提升,系统提示系统内仍然存在Server 2000 功能级别

    具体报错如下:

    日志名称:          Application
    来源:            MSExchange ADAccess
    日期:            2015/7/29 10:09:27
    事件 ID:         2114
    任务类别:          拓扑
    级别:            错误
    关键字:           经典
    用户:            暂缺
    计算机:           exchange.corp.jbhydro.com
    描述:
    进程 MAD.EXE (PID=3152)。拓扑发现失败,错误 0x80040a02 (DSC_E_NO_SUITABLE_CDC)。查找事件描述中指定的轻型目录访问协议 (LDAP) 错误代码。为此,请使用关于 "Microsoft LDAP 错误代码"的 Microsoft 知识库文章 218185。使用该文章中的信息,了解有关此错误的原因和解决办法的更多信息。使用 Ping 或 PathPing 命令行工具测试基本连接。

    2015年7月29日 2:44

答案

  • 你好,

    你的Exchange的版本是多少?

    据我所知,Windows Server 2012 R2  Active Directory 服务器只支持Exchange 2010 SP3 CU5及更高版本。

    具体参考下面的文章:

    Exchange 服务器可支持性矩阵

    受支持的 Active Directory 环境

    域和林功能级别

    Exchange   2013 SP1 及更高版本

    Exchange   2010 SP3 RU5 或更高版本

    Exchange 2007 SP3 RU13 或更高版本

    Windows Server 2003 域功能级别

    X

    X

    X

    Windows Server 2008 R2 SP1 域功能级别

    X

    X

    X

    Windows Server 2012 域功能级别

    X

    X

    X

    Windows Server 2012 R2 域功能级别

    X

    X

     

    Windows Server 2003 林功能级别

    X

    X

    X

    Windows Server 2008 R2 SP1 林功能级别

    X

    X

    X

    Windows Server 2012 林功能级别

    X

    X

    X

    Windows Server 2012 R2 林功能级别

    X

    X

    谢谢!


    Please remember to mark the replies as answers if they help, and unmark the answers if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    Niko Cheng
    TechNet Community Support


    2015年7月30日 7:01
    版主

全部回复

  • 我尝试重新扩展架构,但是提示目前架构已经高于即将安装的架构,扩展也失败。
    2015年7月29日 2:45
  • 你好,

    你的Exchange的版本是多少?

    据我所知,Windows Server 2012 R2  Active Directory 服务器只支持Exchange 2010 SP3 CU5及更高版本。

    具体参考下面的文章:

    Exchange 服务器可支持性矩阵

    受支持的 Active Directory 环境

    域和林功能级别

    Exchange   2013 SP1 及更高版本

    Exchange   2010 SP3 RU5 或更高版本

    Exchange 2007 SP3 RU13 或更高版本

    Windows Server 2003 域功能级别

    X

    X

    X

    Windows Server 2008 R2 SP1 域功能级别

    X

    X

    X

    Windows Server 2012 域功能级别

    X

    X

    X

    Windows Server 2012 R2 域功能级别

    X

    X

     

    Windows Server 2003 林功能级别

    X

    X

    X

    Windows Server 2008 R2 SP1 林功能级别

    X

    X

    X

    Windows Server 2012 林功能级别

    X

    X

    X

    Windows Server 2012 R2 林功能级别

    X

    X

    谢谢!


    Please remember to mark the replies as answers if they help, and unmark the answers if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    Niko Cheng
    TechNet Community Support


    2015年7月30日 7:01
    版主